## Index

### Classes

- ButtonFeedbackImpl

### Interfaces

- State

### Type aliases

- Props

### Variables

- ButtonFeedback

### Functions

- styles

## Type aliases

### Props

Props: ButtonProps & WithSheet<styles>

- Defined in components/ButtonFeedback/index.tsx:45

## Variables

### Const ButtonFeedback

ButtonFeedback: ComponentClass<object & StyledComponentProps<"button">, any> | StatelessComponent<object & StyledComponentProps<"button">> = injectSheet(styles)(ButtonFeedbackImpl)

- Defined in components/ButtonFeedback/index.tsx:92

## Functions

### Const styles

- styles(theme: ThemeTypes): object

- - Defined in components/ButtonFeedback/index.tsx:11

  #### Parameters

  - ##### theme: ThemeTypes

  #### Returns object

  - ##### button: object

    - ##### overflow: string

    - ##### transition: string

    - ##### & .sentSpan: object

      - ##### color: string

      - ##### transform: string

      - ##### transition: string

    - ##### & > *: object

      - ##### display: string

      - ##### height: string

      - ##### overflow: string

    - ##### & > *:not(.sentSpan): object

      - ##### transform: string

      - ##### transition: string

    - ##### &.sent: object

      - ##### backgroundColor: string

    - ##### &.sent .sentSpan: object

      - ##### transform: string

    - ##### &.sent > *:not(.sentSpan): object

      - ##### transform: string

Generated using TypeDoc